define("de_epages/amazonpayments/addressbook", [
  "jquery"
], function ($) {
  var basketData = $("#addressBookWidgetDiv").data(),
    BasketId = basketData.basketid,
    ReferenceId = basketData.refid,
    MerchantId = basketData.merchantid;

  function handleError(errorCode, errorType) {
    // see error descriptions at https://developer.amazon.com/docs/amazon-pay-onetime/handling-widget-errors.html
    var nonCritical = {
      AddressNotModifiable: true,
      PaymentMethodNotModifiable: true,
      ITP: true
    };
    if(!nonCritical[errorCode]) {
      ep("body").busy("show");
      window.location.href = "?ViewAction=TriggerAmazonPaymentsError&ObjectID=" + BasketId + "&" + errorType + "=" + errorCode;
    }
  }

  new OffAmazonPayments.Widgets.AddressBook({
    sellerId: MerchantId,
    amazonOrderReferenceId: ReferenceId,
    design: { size : { width:"640px", height:"260px" } },
    onAddressSelect: function(orderReference) { },
    onError: function(error) { handleError(error.getErrorCode(), "AddressError"); }
  }).bind("addressBookWidgetDiv");
});
